---
sidebar_label: ProtocolError
---

# ProtocolError class

ProtocolError is emitted whenever there is an error from the protocol.

**Signature:**

```typescript
export declare class ProtocolError extends CustomError
```

**Extends:** [CustomError](./puppeteer.customerror.md)

## Properties

| Property                                                        | Modifiers | Type   | Description       |
| --------------------------------------------------------------- | --------- | ------ | ----------------- |
| [code?](./puppeteer.protocolerror.code.md)                      |           | number | <i>(Optional)</i> |
| [originalMessage](./puppeteer.protocolerror.originalmessage.md) |           | string |                   |
